%global momorel 1
%global md5sum_src0 313e403e56702f6c38d1a5c830b60dc2
%define tarball xf86-input-vmmouse
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Summary:   Xorg X11 vmmouse input driver
Name:      xorg-x11-drv-vmmouse
Version: 12.4.0
Release: %{momorel}m
URL:       http://www.x.org/
%global xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0 %{xorgurl}/driver/%{tarball}-%{version}.tar.bz2 %{md5sum_src0}
License:   MIT/X
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-root

ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.0.99.901

Requires: xorg-x11-server-Xorg >= 1.0.99.901

%description 
X.Org X11 vmmouse input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{driverdir}/vmmouse_drv.so
%{_mandir}/man4/vmmouse.4.*

%changelog
* Wed May 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (12.4.0-1m)
- initial build
